### Clone the package
```
git clone http://git.mistlab.ca/vvaradharajan/mist_ws.git
```

# Dependencies to install
```
sudo apt-get install python-catkin-tools python-wstool ros-kinetic-cmake-modules protobuf-compiler autoconf ros-kinetic-mavros* ros-kinetic-tf* \
ros-kinetic-rviz ros-kinetic-cv-bridge ros-kinetic-image-geometry ros-kinetic-pcl-* ros-kinetic-octomap* ros-kinetic-image-proc \
ros-kinetic-nmea-comms ffmpeg libusb-1.0-0-dev libsdl2-dev
```
# Setting up the bat0 phy interface
PLEASE SET THIS UP BEFORE ATTEMPTING TO USE BATMAN NODE.
Please refer to batman-README.md

# DJI M300
This workspace includes relevant packages to run [rosbuzz](https://github.com/MISTLab/ROSBuzz) with the [DJI OSDK](https://github.com/dji-sdk/Onboard-SDK-ROS) on the M300 drones.

The workspace has been tested in Ubuntu 16.04 and ROS Kinetic.

### Setup the workspace
```
cd mist_ws
wstool init
wstool merge packages_https_m300_batman.rosinstall
wstool update
```

### Troubleshooting
* In case of permission error, make sure to follow the [permission](https://github.com/dji-sdk/Onboard-SDK-ROS#3permission) section to have read/write access for the uart communication.


# Spiri

### Setup the workspace
```
cd mist_ws
wstool init
wstool merge packages_https_spiri_batman.rosinstall
wstool update
```

# DJI M100

# Khepera IV

# Spot


### Build the whole workspace
```
catkin config -DCMAKE_BUILD_TYPE=Release -DSIM=0 -DKIN=1
catkin build
````

